Bug 1315573 - (CVE-2016-1957) CVE-2016-1957 Mozilla: Memory leak in libstagefright when deleting an array during MP4 processing (MFSA 2016-20)
CVE-2016-1957 Mozilla: Memory leak in libstagefright when deleting an array d...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160308,repor...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 01:06 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-28 01:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 01:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 01:06:49 EST
Security researchers Jose Martinez and Romina Santillan reported a memory leak in the libstagefright library when array destruction occurs during MPEG4 video file processing. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-20.html


Acknowledgements:

Name: the Mozilla project
Upstream: Jose Martinez, Romina Santillan
Comment 1 errata-xmlrpc 2016-03-09 00:12:04 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0373 https://rhn.redhat.com/errata/RHSA-2016-0373.html
Comment 2 errata-xmlrpc 2016-03-16 13:37:11 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0460 https://rhn.redhat.com/errata/RHSA-2016-0460.html

Note You need to log in before you can comment on or make changes to this bug.